options.h File Reference

Parser for filter-specific options. More...

## Functions

lzma_options_delta * | options_delta (const char *str)
| Parser for Delta options. More...
lzma_options_bcj * | options_bcj (const char *str)
| Parser for BCJ options. More...
lzma_options_lzma * | options_lzma (const char *str)
| Parser for LZMA options. More...

## Detailed Description

Parser for filter-specific options.

## Function Documentation

## options_delta()

lzma_options_delta* options_delta | ( | const char * | str | ) |

Parser for Delta options.

Returns
  Pointer to allocated options structure. Doesn't return on error.

## options_bcj()

lzma_options_bcj* options_bcj | ( | const char * | str | ) |

Parser for BCJ options.

Returns
  Pointer to allocated options structure. Doesn't return on error.

## options_lzma()

lzma_options_lzma* options_lzma | ( | const char * | str | ) |

Parser for LZMA options.

Returns
  Pointer to allocated options structure. Doesn't return on error.

References LZMA_MF_BT2, LZMA_MF_BT3, LZMA_MF_BT4, LZMA_MF_HC3, LZMA_MF_HC4, LZMA_MODE_FAST, and LZMA_MODE_NORMAL.